| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
AppliedVerbatimAnnotation Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure AppliedVerbatimAnnotation defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | AppliedVerbatimAnnotation ()
| Default constructor.
eProsima_user_DllExport | ~AppliedVerbatimAnnotation ()
| Default destructor.
eProsima_user_DllExport | AppliedVerbatimAnnotation (const AppliedVerbatimAnnotation &x)
| Copy constructor.
eProsima_user_DllExport | AppliedVerbatimAnnotation (AppliedVerbatimAnnotation &&x) noexcept
| Move constructor.
eProsima_user_DllExport AppliedVerbatimAnnotation & | operator= (const AppliedVerbatimAnnotation &x)
| Copy assignment.
eProsima_user_DllExport AppliedVerbatimAnnotation & | operator= (AppliedVerbatimAnnotation &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const AppliedVerbatimAnnotation &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const AppliedVerbatimAnnotation &x) const
| Comparison operator.
eProsima_user_DllExport void | placement (const eprosima::fastcdr::fixed_string< 32 > &_placement)
| This function copies the value in member placement.
eProsima_user_DllExport void | placement (eprosima::fastcdr::fixed_string< 32 > &&_placement)
| This function moves the value in member placement.
eProsima_user_DllExport const eprosima::fastcdr::fixed_string< 32 > & | placement () const
| This function returns a constant reference to member placement.
eProsima_user_DllExport eprosima::fastcdr::fixed_string< 32 > & | placement ()
| This function returns a reference to member placement.
eProsima_user_DllExport void | language (const eprosima::fastcdr::fixed_string< 32 > &_language)
| This function copies the value in member language.
eProsima_user_DllExport void | language (eprosima::fastcdr::fixed_string< 32 > &&_language)
| This function moves the value in member language.
eProsima_user_DllExport const eprosima::fastcdr::fixed_string< 32 > & | language () const
| This function returns a constant reference to member language.
eProsima_user_DllExport eprosima::fastcdr::fixed_string< 32 > & | language ()
| This function returns a reference to member language.
eProsima_user_DllExport void | text (const std::string &_text)
| This function copies the value in member text.
eProsima_user_DllExport void | text (std::string &&_text)
| This function moves the value in member text.
eProsima_user_DllExport const std::string & | text () const
| This function returns a constant reference to member text.
eProsima_user_DllExport std::string & | text ()
| This function returns a reference to member text.

## Detailed Description

This class represents the structure AppliedVerbatimAnnotation defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ AppliedVerbatimAnnotation() [1/3]

eProsima_user_DllExport AppliedVerbatimAnnotation | ( |  | ) |

inline

Default constructor.

## ◆ ~AppliedVerbatimAnnotation()

eProsima_user_DllExport ~AppliedVerbatimAnnotation | ( |  | ) |

inline

Default destructor.

## ◆ AppliedVerbatimAnnotation() [2/3]

eProsima_user_DllExport AppliedVerbatimAnnotation | ( | const AppliedVerbatimAnnotation & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object AppliedVerbatimAnnotation that will be copied.

## ◆ AppliedVerbatimAnnotation() [3/3]

eProsima_user_DllExport AppliedVerbatimAnnotation | ( | AppliedVerbatimAnnotation && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object AppliedVerbatimAnnotation that will be copied.

## Member Function Documentation

## ◆ language() [1/4]

eProsima_user_DllExport eprosima::fastcdr::fixed_string< 32 > & language | ( |  | ) |

inline

This function returns a reference to member language.

Returns
  Reference to member language

## ◆ language() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::fixed_string< 32 > & language | ( |  | ) | const

inline

This function returns a constant reference to member language.

Returns
  Constant reference to member language

## ◆ language() [3/4]

eProsima_user_DllExport void language | ( | const eprosima::fastcdr::fixed_string< 32 > & | _language | ) |

inline

This function copies the value in member language.

Parameters

  _language | New value to be copied in member language

## ◆ language() [4/4]

eProsima_user_DllExport void language | ( | eprosima::fastcdr::fixed_string< 32 > && | _language | ) |

inline

This function moves the value in member language.

Parameters

  _language | New value to be moved in member language

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const AppliedVerbatimAnnotation & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedVerbatimAnnotation object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport AppliedVerbatimAnnotation & operator= | ( | AppliedVerbatimAnnotation && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object AppliedVerbatimAnnotation that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport AppliedVerbatimAnnotation & operator= | ( | const AppliedVerbatimAnnotation & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object AppliedVerbatimAnnotation that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const AppliedVerbatimAnnotation & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedVerbatimAnnotation object to compare.

## ◆ placement() [1/4]

eProsima_user_DllExport eprosima::fastcdr::fixed_string< 32 > & placement | ( |  | ) |

inline

This function returns a reference to member placement.

Returns
  Reference to member placement

## ◆ placement() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::fixed_string< 32 > & placement | ( |  | ) | const

inline

This function returns a constant reference to member placement.

Returns
  Constant reference to member placement

## ◆ placement() [3/4]

eProsima_user_DllExport void placement | ( | const eprosima::fastcdr::fixed_string< 32 > & | _placement | ) |

inline

This function copies the value in member placement.

Parameters

  _placement | New value to be copied in member placement

## ◆ placement() [4/4]

eProsima_user_DllExport void placement | ( | eprosima::fastcdr::fixed_string< 32 > && | _placement | ) |

inline

This function moves the value in member placement.

Parameters

  _placement | New value to be moved in member placement

## ◆ text() [1/4]

eProsima_user_DllExport std::string & text | ( |  | ) |

inline

This function returns a reference to member text.

Returns
  Reference to member text

## ◆ text() [2/4]

eProsima_user_DllExport const std::string & text | ( |  | ) | const

inline

This function returns a constant reference to member text.

Returns
  Constant reference to member text

## ◆ text() [3/4]

eProsima_user_DllExport void text | ( | const std::string & | _text | ) |

inline

This function copies the value in member text.

Parameters

  _text | New value to be copied in member text

## ◆ text() [4/4]

eProsima_user_DllExport void text | ( | std::string && | _text | ) |

inline

This function moves the value in member text.

Parameters

  _text | New value to be moved in member text

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp